Bug 228477 - mail/thunderbird: update to 60.0
Summary: mail/thunderbird: update to 60.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL: https://www-stage.thunderbird.net/thu...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2018-05-25 03:01 UTC by Jan Beich
Modified: 2018-11-20 17:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gecko)


Attachments
update: thunderbird 60.3.1 (20.50 KB, patch)
2018-11-16 13:56 UTC, Christoph Moench-Tegeder
jbeich: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-05-25 03:01:02 UTC
See review D15565 for the patch. Back up ~/.thunderbird before testing.
Comment 1 Jan Beich freebsd_committer 2018-05-25 03:04:34 UTC
I don't use Thunderbird, so no clue about Enigmail but 2.0+ may require external dependencies. 
https://mozilla.logbot.info/maildev/20180302#c14392338
https://mozilla.logbot.info/maildev/20180303#c14395105
Comment 2 commit-hook freebsd_committer 2018-07-19 00:01:38 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jul 19 00:00:54 UTC 2018
New revision: 474921
URL: https://svnweb.freebsd.org/changeset/ports/474921

Log:
  mail/thunderbird: update to 60.0

  Changes:	https://www.mozilla.org/thunderbird/60.0/releasenotes/
  PR:		228477
  Differential Revision:	https://reviews.freebsd.org/D15565

Changes:
  head/Mk/Uses/gecko.mk
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird/files/
  head/mail/thunderbird/files/moz_pis_S50cleanhome
  head/mail/thunderbird/files/patch-addon-search
  head/mail/thunderbird/files/patch-browser-app-nsBrowserApp.cpp
  head/mail/thunderbird/files/patch-bug292127
  head/mail/thunderbird/files/patch-mail-app-nsMailApp.cpp
  head/mail/thunderbird/files/thunderbird.desktop.in
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/Makefile.lang
  head/mail/thunderbird-i18n/Makefile.option
  head/mail/thunderbird-i18n/distinfo
Comment 3 commit-hook freebsd_committer 2018-07-25 15:17:22 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul 25 15:16:35 UTC 2018
New revision: 475316
URL: https://svnweb.freebsd.org/changeset/ports/475316

Log:
  mail/thunderbird: switch to rc3

  Changes:	https://hg.mozilla.org/releases/comm-esr60/pushloghtml?startdate=2018-07-17&enddate=2018-07-25
  PR:		228477

Changes:
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/distinfo
Comment 4 commit-hook freebsd_committer 2018-08-01 19:39:27 UTC
A commit references this bug:

Author: jbeich
Date: Wed Aug  1 19:38:58 UTC 2018
New revision: 476191
URL: https://svnweb.freebsd.org/changeset/ports/476191

Log:
  mail/thunderbird: switch to rc4

  Changes:	https://hg.mozilla.org/releases/comm-esr60/pushloghtml?startdate=2018-07-25&enddate=2018-08-01
  PR:		228477

Changes:
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/distinfo
Comment 5 Christoph Moench-Tegeder freebsd_committer 2018-11-16 13:56:22 UTC
Created attachment 199270 [details]
update: thunderbird 60.3.1

https://www.thunderbird.net/en-US/thunderbird/60.3.1/releasenotes/

patch is trivial, "works for me".
Comment 6 commit-hook freebsd_committer 2018-11-16 14:21:07 UTC
A commit references this bug:

Author: cmt
Date: Fri Nov 16 14:20:37 UTC 2018
New revision: 485077
URL: https://svnweb.freebsd.org/changeset/ports/485077

Log:
  mail/thunderbird: update to 60.3.1

  https://www.thunderbird.net/en-US/thunderbird/60.3.1/releasenotes/

  PR:		228477
  Approved by:	jbeich (maintainer)
  MFH:		2018Q4

Changes:
  head/mail/thunderbird/Makefile
  head/mail/thunderbird/distinfo
Comment 7 commit-hook freebsd_committer 2018-11-16 14:23:10 UTC
A commit references this bug:

Author: cmt
Date: Fri Nov 16 14:22:44 UTC 2018
New revision: 485078
URL: https://svnweb.freebsd.org/changeset/ports/485078

Log:
  MFH: r485077

  mail/thunderbird: update to 60.3.1

  https://www.thunderbird.net/en-US/thunderbird/60.3.1/releasenotes/

  PR:		228477
  Approved by:	jbeich (maintainer)

  Approved by:	portmgr (blanket: web browser alike)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/mail/thunderbird/Makefile
  branches/2018Q4/mail/thunderbird/distinfo
Comment 8 Christoph Moench-Tegeder freebsd_committer 2018-11-16 14:24:00 UTC
committed and MFHed, thanks.
Comment 9 commit-hook freebsd_committer 2018-11-16 15:07:45 UTC
A commit references this bug:

Author: cmt
Date: Fri Nov 16 15:06:57 UTC 2018
New revision: 485079
URL: https://svnweb.freebsd.org/changeset/ports/485079

Log:
  mail/thunderbird-i18n: update to 60.3.1

  forgot to commit this along thunderbird proper

  PR:		228477
  Approved by:	jbeich (maintainer)
  MFH:		2018Q4

Changes:
  head/mail/thunderbird-i18n/Makefile
  head/mail/thunderbird-i18n/distinfo
Comment 10 commit-hook freebsd_committer 2018-11-16 15:08:48 UTC
A commit references this bug:

Author: cmt
Date: Fri Nov 16 15:08:24 UTC 2018
New revision: 485080
URL: https://svnweb.freebsd.org/changeset/ports/485080

Log:
  MFH: r485079

  mail/thunderbird-i18n: update to 60.3.1

  forgot to commit this along thunderbird proper

  PR:		228477
  Approved by:	jbeich (maintainer)

  Approved by:	portmgr (blanket: web browser alike)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/mail/thunderbird-i18n/Makefile
  branches/2018Q4/mail/thunderbird-i18n/distinfo